summaryrefslogtreecommitdiffstats
path: root/tests/gnu/inum_automount.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:06 -0500
committerTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:24 -0500
commitb6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03 (patch)
tree9545197e6eec2423d6df2a2244ed759d24e0d9bd /tests/gnu/inum_automount.sh
parent0040a91a6b3a192acfeec0ae1e24516b54ba872a (diff)
downloadbfs-b6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03.tar.xz
tests: Use bfs_sudo wrapper instead of testing $SUDO
Diffstat (limited to 'tests/gnu/inum_automount.sh')
-rw-r--r--tests/gnu/inum_automount.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/gnu/inum_automount.sh b/tests/gnu/inum_automount.sh
index da2e3b0..c4450ef 100644
--- a/tests/gnu/inum_automount.sh
+++ b/tests/gnu/inum_automount.sh
@@ -1,13 +1,12 @@
# bfs shouldn't trigger automounts unless it descends into them
-test "$SUDO" || skip
command -v systemd-mount &>/dev/null || skip
clean_scratch
mkdir scratch/{foo,automnt}
-sudo systemd-mount -A -o bind basic scratch/automnt || skip
-trap "sudo systemd-umount scratch/automnt" EXIT
+bfs_sudo systemd-mount -A -o bind basic scratch/automnt || skip
+trap "bfs_sudo systemd-umount scratch/automnt" EXIT
before=$(inum scratch/automnt)
bfs_diff scratch -inum "$before" -prune